Bug 111844 - Icons rendered to infobar are mishandled on high resolution (3200x1800)
Summary: Icons rendered to infobar are mishandled on high resolution (3200x1800)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Heiko Tietze
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords:
Depends on:
Blocks: HiDPI
  Show dependency treegraph
 
Reported: 2017-08-16 06:49 UTC by Mikeyy - L10n HR
Modified: 2017-08-23 14:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
1920x1080 resolution (10.58 KB, image/png)
2017-08-16 06:50 UTC, Mikeyy - L10n HR
Details
3200x1080 resolution (22.10 KB, image/png)
2017-08-16 06:50 UTC, Mikeyy - L10n HR
Details
clip from Writer session full screen on 4K monitor (15.19 KB, image/png)
2017-08-16 14:34 UTC, V Stuart Foote
Details
Re-test 22. 8. 2017. with LO 6.0 alpha (33.58 KB, image/png)
2017-08-22 10:01 UTC, Mikeyy - L10n HR
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2017-08-16 06:49:27 UTC
Description:
On high resolution (3200x1800) icon for "read only" files is too small.
Attached two pictures, same machine on 1920x1080 resolution, and high 3200x1800 resolution.

Steps to Reproduce:
Open read only file on high resolution computer.

Actual Results:  
Icon too small.

Expected Results:
Regular size icon.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Mikeyy - L10n HR 2017-08-16 06:50:03 UTC
Created attachment 135573 [details]
1920x1080 resolution
Comment 2 Mikeyy - L10n HR 2017-08-16 06:50:32 UTC
Created attachment 135574 [details]
3200x1080 resolution
Comment 3 V Stuart Foote 2017-08-16 14:34:09 UTC
Created attachment 135589 [details]
clip from Writer session full screen on 4K monitor

Can not confirm on Windows 10 Pro 64-bit en-US build
Version: 5.4.0.3 (x64)
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 8; OS: Windows 6.19; UI render: GL; 
Locale: en-US (en_US); Calc: group

The infobox.svg icon is rendered well with either OpenGL or default rendering
Comment 4 V Stuart Foote 2017-08-16 14:47:54 UTC
Could not confirm on Windows builds, but also could not find the .svg flavor of the icons just the .png

=-ref-=
https://opengrok.libreoffice.org/xref/core/sfx2/source/dialog/infobar.cxx#73
Comment 5 Mikeyy - L10n HR 2017-08-21 11:49:28 UTC
Hello,

My examples are taken on Windows 8.1 machine. It's 13,3" laptop with 3200x1800 default resolution.
But I see windows reports different resolution to web pages then default, maybe that's root problem here.

If you need more testing, just write what you need.
Comment 6 Commit Notification 2017-08-21 20:16:04 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4438849e400ecef3cdf2f267dc75a76d4b11aba1

tdf#111844 infobar icons on high dpi

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Heiko Tietze 2017-08-21 20:20:39 UTC
Mikeyy, please retest the issue on your highdpi screen. The nightly build available tomorrow should include the patch.

For 64bit Windows use http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/ - please check the date to be Aug/22th.
Comment 8 Mikeyy - L10n HR 2017-08-22 10:01:28 UTC
Created attachment 135722 [details]
Re-test 22. 8. 2017. with LO 6.0 alpha

(In reply to Heiko Tietze from comment #7)
> Mikeyy, please retest the issue on your highdpi screen. The nightly build
> available tomorrow should include the patch.
>

As you can see in attached test picture, icon looks better now, but text is much closer to icon then it is with LO 5.4 on regular resolution.
Comment 9 Heiko Tietze 2017-08-22 10:41:58 UTC
(In reply to Mikeyy - L10n HR from comment #8)
> As you can see in attached test picture, icon looks better now, but text is
> much closer to icon then it is with LO 5.4 on regular resolution.

Grrr, forgot the text position ;-). Gerrit is compiling...
Comment 10 Commit Notification 2017-08-22 22:21:36 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d60d96a22ef2f67db7c7e99981447bd81f776c4

tdf#111844 infobar icons/text on high dpi

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Mikeyy - L10n HR 2017-08-23 05:03:47 UTC
Thumbs up! Looks good.
If it's not too much trouble, you can port it back to 5.4.
Comment 12 Commit Notification 2017-08-23 14:57:27 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d7b4b0114fdbd784ab87ab532140af9e1bbc06d&h=libreoffice-5-4

tdf#111844 infobar icons on high dpi

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Adolfo Jayme 2017-08-23 14:58:07 UTC
I’ve squashed both master commits into one and pushed that into libreoffice-5-4.